ReferenceOrders
Retrieve an order
Retrieve an order. Expand `tickets` to include them.
Retrieve an order. Expand tickets to include them.
Authorization
http AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/orders/string"{ "id": "string", "object": "order", "order_number": "string", "external_reference": "string", "event": "string", "livemode": true, "status": "string", "payment_status": "string", "payment_method": "string", "source": "api", "currency": "eur", "subtotal": 0, "discount": 0, "administration_fee": 0, "payment_method_fee": 0, "total": 0, "total_excl_vat": 0, "vat": 0, "promocode": "string", "language": "string", "booker": { "first_name": "string", "last_name": "string", "email": "string", "language": "string" }, "answers": [ { "field": "string", "value": "string", "display_value": "string" } ], "tickets": [ { "id": "string", "object": "ticket", "ticket_number": "string", "kind": "product", "order": "string", "event": "string", "ticket_type": "string", "livemode": true, "status": "string", "currency": "eur", "price": 0, "price_excl_vat": 0, "vat_rate": 0, "tixxy_fee": 0, "checked_in": true, "checked_in_at": "string", "personalisation_complete": true, "holder": { "name": "string", "email": "string" }, "answers": [ { "field": "string", "value": "string", "display_value": "string" } ], "issued_at": "string", "created_at": "string", "updated_at": "string" } ], "completed_at": "string", "cancelled_at": "string", "created_at": "string", "updated_at": "string"}Create an order POST
Create an order with tickets for one ticket type. Requires an `Idempotency-Key` header. The money is collected outside Tixxy; every ticket carries the regular Tixxy fee (not for test tokens).
Cancel an order POST
Cancel an order and all its tickets. Money is not refunded automatically.